<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:tp="http://www.oasis-open.org/committees/ebxml-cppa/schema/cpp-cpa-2_0.xsd"
                xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
                xmlns="http://schemas.xmlsoap.org/wsdl/"
                xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
                version="2.0">
   <xsl:param name="ParametersSourceA">file:///d:/CPA/parameters/wsdl.A.parameters.xml</xsl:param>
   <xsl:param name="ParametersSourceB">file:///d:/CPA/parameters/wsdl.B.parameters.xml</xsl:param>
   <xsl:variable name="SoapAddress">
      <xsl:copy-of select="document($ParametersSourceB)//Parameter[@name='SoapAddress']/child::text()"/>
   </xsl:variable>
   <xsl:template match="soap:address/@location">
      <xsl:attribute name="location">
         <xsl:value-of select="$SoapAddress"/>
      </xsl:attribute>
   </xsl:template>
   <xsl:template match="@*|node()">
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:apply-templates/>
      </xsl:copy>
   </xsl:template>
</xsl:stylesheet>